export const mockJournalEvents = {
  StartJump:     '{ "timestamp":"2023-05-08T19:11:12Z", "event":"StartJump", "JumpType":"Hyperspace", "StarSystem":"LHS 6427", "SystemAddress":22660650116513, "StarClass":"M" }\n',
  FSDJump:       '{ "timestamp":"2023-05-08T19:13:52Z", "event":"FSDJump", "Taxi":false, "Multicrew":false, "StarSystem":"LHS 119", "SystemAddress":18262603605409, "StarPos":[-30.15625,-21.87500,-17.25000], "SystemAllegiance":"", "SystemEconomy":"$economy_None;", "SystemEconomy_Localised":"None", "SystemSecondEconomy":"$economy_None;", "SystemSecondEconomy_Localised":"None", "SystemGovernment":"$government_None;", "SystemGovernment_Localised":"None", "SystemSecurity":"$GAlAXY_MAP_INFO_state_anarchy;", "SystemSecurity_Localised":"Anarchy", "Population":0, "Body":"LHS 119 A", "BodyID":1, "BodyType":"Star", "JumpDist":8.575, "FuelUsed":0.982384, "FuelLevel":127.017616 }\n',
  Scan:          '{ "timestamp":"2023-05-08T20:38:19Z", "event":"Scan", "ScanType":"AutoScan", "BodyName":"Aten B A Belt Cluster 2", "BodyID":45, "Parents":[ {"Ring":43}, {"Star":2}, {"Null":0} ], "StarSystem":"Aten", "SystemAddress":16063580284321, "DistanceFromArrivalLS":79972.251687, "WasDiscovered":true, "WasMapped":false }\n',
  NavRoute:      '{ "timestamp":"2023-05-09T23:12:00Z", "event":"NavRoute" }\n',
  NavRouteClear: '{ "timestamp":"2023-04-15T04:09:39Z", "event":"NavRouteClear" }\n',
};

export const mockObjects = {
  star:           {
    'timestamp':             '2023-05-08T19:13:58Z',
    'event':                 'Scan',
    'ScanType':              'AutoScan',
    'BodyName':              'LHS 119 A',
    'BodyID':                1,
    'Parents':               [{ 'Null': 0 }],
    'StarSystem':            'LHS 119',
    'SystemAddress':         18262603605409,
    'DistanceFromArrivalLS': 0.000000,
    'StarType':              'M',
    'Subclass':              4,
    'StellarMass':           0.214844,
    'Radius':                267243648.000000,
    'AbsoluteMagnitude':     11.148788,
    'Age_MY':                11724,
    'SurfaceTemperature':    2175.000000,
    'Luminosity':            'V',
    'SemiMajorAxis':         3448964357376.098633,
    'Eccentricity':          0.010115,
    'OrbitalInclination':    -105.666674,
    'Periapsis':             272.289207,
    'OrbitalPeriod':         18957803249.359131,
    'AscendingNode':         -65.823206,
    'MeanAnomaly':           326.300292,
    'RotationPeriod':        131207.524554,
    'AxialTilt':             0.000000,
    'WasDiscovered':         true,
    'WasMapped':             false,
  },
  asteroid:       {
    'timestamp':             '2023-05-08T20:34:25Z',
    'event':                 'Scan',
    'ScanType':              'AutoScan',
    'BodyName':              'Aten A A Belt Cluster 8',
    'BodyID':                11,
    'Parents':               [{ 'Ring': 3 }, { 'Star': 1 }, { 'Null': 0 }],
    'StarSystem':            'Aten',
    'SystemAddress':         16063580284321,
    'DistanceFromArrivalLS': 4.171922,
    'WasDiscovered':         true,
    'WasMapped':             false,
  },
  planet:         {
    'timestamp':             '2023-05-04T19:15:34Z',
    'event':                 'Scan',
    'ScanType':              'AutoScan',
    'BodyName':              'Col 285 Sector SL-B b14-5 A 2',
    'BodyID':                13,
    'Parents':               [{ 'Star': 1 }, { 'Null': 0 }],
    'StarSystem':            'Col 285 Sector SL-B b14-5',
    'SystemAddress':         11662043981201,
    'DistanceFromArrivalLS': 14.736108,
    'TidalLock':             true,
    'TerraformState':        '',
    'PlanetClass':           'High metal content body',
    'Atmosphere':            '',
    'AtmosphereType':        'None',
    'Volcanism':             '',
    'MassEM':                0.134842,
    'Radius':                3279249.500000,
    'SurfaceGravity':        4.997877,
    'SurfaceTemperature':    478.828308,
    'SurfacePressure':       0.000000,
    'Landable':              true,
    'Materials':             [
      { 'Name': 'iron', 'Percent': 21.042704 },
      { 'Name': 'nickel', 'Percent': 15.915817 },
      { 'Name': 'sulphur', 'Percent': 15.119031 },
      { 'Name': 'carbon', 'Percent': 12.713538 },
      { 'Name': 'chromium', 'Percent': 9.463602 },
      { 'Name': 'manganese', 'Percent': 8.690421 },
      { 'Name': 'phosphorus', 'Percent': 8.139426 },
      { 'Name': 'vanadium', 'Percent': 5.167356 },
      { 'Name': 'niobium', 'Percent': 1.438156 },
      { 'Name': 'tin', 'Percent': 1.371430 },
      { 'Name': 'antimony', 'Percent': 0.938514 },
    ],
    'Composition':           { 'Ice': 0.000000, 'Rock': 0.675801, 'Metal': 0.324199 },
    'SemiMajorAxis':         4417732596.397400,
    'Eccentricity':          0.000022,
    'OrbitalInclination':    0.000008,
    'Periapsis':             115.738785,
    'OrbitalPeriod':         272940.599918,
    'AscendingNode':         -62.515181,
    'MeanAnomaly':           244.149914,
    'RotationPeriod':        273121.869415,
    'AxialTilt':             0.183773,
    'WasDiscovered':         true,
    'WasMapped':             false,
  },
  navRouteSystem: {
    'StarSystem':    'LHS 3447',
    'SystemAddress': 5306465653474,
    'StarPos':       [-43.18750, -5.28125, 56.15625],
    'StarClass':     'M',
  },
  FSDJumpSystem:  {
    'timestamp':                     '2023-05-08T19:13:52Z',
    'event':                         'FSDJump',
    'Taxi':                          false,
    'Multicrew':                     false,
    'StarSystem':                    'LHS 119',
    'SystemAddress':                 18262603605409,
    'StarPos':                       [-30.15625, -21.87500, -17.25000],
    'SystemAllegiance':              '',
    'SystemEconomy':                 '$economy_None;',
    'SystemEconomy_Localised':       'None',
    'SystemSecondEconomy':           '$economy_None;',
    'SystemSecondEconomy_Localised': 'None',
    'SystemGovernment':              '$government_None;',
    'SystemGovernment_Localised':    'None',
    'SystemSecurity':                '$GAlAXY_MAP_INFO_state_anarchy;',
    'SystemSecurity_Localised':      'Anarchy',
    'Population':                    0,
    'Body':                          'LHS 119 A',
    'BodyID':                        1,
    'BodyType':                      'Star',
    'JumpDist':                      8.575,
    'FuelUsed':                      0.982384,
    'FuelLevel':                     127.017616,
  },
  LocationSystem: {
    'timestamp':                     '2023-05-09T20:30:31Z',
    'event':                         'Location',
    'Docked':                        false,
    'Taxi':                          false,
    'Multicrew':                     false,
    'StarSystem':                    'LP 292-66',
    'SystemAddress':                 2869172315553,
    'StarPos':                       [-47.15625, -35.53125, -21.18750],
    'SystemAllegiance':              'Federation',
    'SystemEconomy':                 '$economy_Refinery;',
    'SystemEconomy_Localised':       'Refinery',
    'SystemSecondEconomy':           '$economy_HighTech;',
    'SystemSecondEconomy_Localised': 'High Tech',
    'SystemGovernment':              '$government_Corporate;',
    'SystemGovernment_Localised':    'Corporate',
    'SystemSecurity':                '$SYSTEM_SECURITY_medium;',
    'SystemSecurity_Localised':      'Medium Security',
    'Population':                    320135,
    'Body':                          'LP 292-66 A',
    'BodyID':                        4,
    'BodyType':                      'Star',
    'Factions':                      [
      {
        'Name':                'Workers of LP 292-66 for Equality',
        'FactionState':        'None',
        'Government':          'Democracy',
        'Influence':           0.056943,
        'Allegiance':          'Federation',
        'Happiness':           '$Faction_HappinessBand2;',
        'Happiness_Localised': 'Happy',
        'MyReputation':        0.000000,
      },
    ],
    'SystemFaction':                 { 'Name': 'LFT 42 Silver Energy Co' },
  },
};

export const mockEdsmResponses = {
  systemValue: {
    "id":                   13153,
    "id64":                 5306465653474,
    "name":                 "LHS 3447",
    "url":                  "https://www.edsm.net/en/system/bodies/id/13153/name/LHS+3447",
    "estimatedValue":       353968,
    "estimatedValueMapped": 1164029,
    "valuableBodies":       [
      {
        "bodyId":   3195879,
        "bodyName": "LHS 3447 A 5",
        "distance": 92282,
        "valueMax": 879114,
      },
    ],
  },
};

export const mockSettings = {
  graphicsConfigXml: '<GraphicsConfig><GUIColour><Default><MatrixRed>1,0,0</MatrixRed><MatrixGreen>0,1,0</MatrixGreen><MatrixBlue>0,0,1</MatrixBlue></Default></GUIColour></GraphicsConfig>',
  xmlProfileIni:     '[constants]\nx150 = 1\ny150 = 0\nz150 = 0\nx151 = 0\ny151 = 1\nz151 = 0\nx152 = 0\ny152 = 0\nz152 = 1\n',
};
